#include <signal.h>
#include <stdio.h>
#include <unistd.h>

static void signal_handler (int signo)
{
  printf ("Hello, world!\n");
  alarm (1);
}

int main (void)
{
  if (signal (SIGALRM, signal_handler) == SIG_ERR)
    {
      fputs ("Error installing signal handler.\n", stderr);
      return 1;
    }
  alarm (1);
  while (1)
    sleep (10);
  return 0;
}
